#####    Wifi configuration file   #####
### Version：20160729 
## Empty lines and lines starting with # are ignored
# ap: SoftAP mode
# sta: Station mode
# p2p: Enable Wifi Direct Support for peer-to-peer connectibity
WIFI_MODE=ap
# GPIO pin to enable or disable WiFi
WIFI_EN_GPIO=87
#1=GPIO high to enable WiFi; 0=GPIO low to enable WiFi
#WIFI_EN_STATUS=1
# GPIO physical button that user can turn WiFi ON/OFF
WIFI_SWITCH_GPIO=49

##### STA mode configuration ##########################################
# SSID
ESSID=amba_boss
# Passphrase. Leave empty at no security mode; please edit wpa_supplicant.conf when your AP cannot be detected
PASSWORD=1234567890
# Device Name for AMBA Discovery Protocol (optional)
STA_DEVICE_NAME=amba-1
# Do not detect SSID setting changes, use previous scanned results
STA_SKIP_SCAN=yes

##### Wifi Direct configuration ##########################################
# Find devices with correct name prefix and automatically connect at startup
P2P_AUTO_CONNECT=no
# Auto-connect with devices if the name prefix matches
P2P_CONNECT_PREFIX=amba
## Do not enable this optional field unless you are certain
# please provide a unique name amoung multiple devices to prevent confusion
#P2P_DEVICE_NAME=amba-1
## Do not enable this optional field unless you are certain
# Set the default P2P GO Intent
#P2P_GO_INTENT=0
## Do not enable this optional field unless you are certain
# Specify P2P operating channel
#P2P_OPER_CHANNEL=1
## Do not enable this optional field unless you are certain
# Default mode for HT40 enable when operating as GO
#P2P_GO_HT40=0

##### SoftAP configuration ##########################################
# SSID (1 ~ 32 characters)

AP_SSID=iCam-H9Plus-200001

#AP_SSID=iCam-H8Pro-100001

#AP_SSID=iCam-H8Pro-100001

# IP address
LOCAL_IP=192.168.42.1
# IP subnet mask
LOCAL_NETMASK=255.255.255.0
# IP pool starting address of DHCP server
DHCP_IP_START=192.168.42.2
# IP pool end address of DHCP server
DHCP_IP_END=192.168.42.6
# Wifi channel number, set 0 to use Auto Channel Selection
AP_CHANNEL=0
# Maximum number of stations allowed in station table
AP_MAXSTA=1
# If you say yes here, all WPA/WEP settings will be ignored
AP_PUBLIC=yes
# WPA Passphrase (8 ~ 63 characters)
AP_PASSWD=1234567890
